package com.example.autoservice.cars.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import com.example.autoservice.cars.model.CarsEntity;
import com.example.autoservice.cars.model.CarsGrouped;

public interface CarsRepository extends CrudRepository<CarsEntity, Long> {
    @Query("select c.mark as mark, c.model as model, c.serial_number as serialNumber, " +
            "cl.first_name as firstName, cl.last_name as lastName " +
            "From CarsEntity c " +
            "join ClientsEntity cl on c.client.id = cl.id")
    public List<CarsGrouped> findAllCarsWithClients();
}
